Bug 22397 - mysql.sock php apache
Summary: mysql.sock php apache
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-17 05:29 UTC by Need Real Name
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-08 23:51:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-12-17 05:29:25 UTC
Dear support,

I ran the bug fix rpm for mysql (mysql (RHBA-2000:067-03) ). That was 
suppose to fix the mysql packages shipped with Red Hat Linux 7.0 don't 
allow users to access the socket, causing the package to work for 
users "root" and "mysql" only. Well php and apache will not talk to the 
mysql.socket I tried to tell them where the socket was in my.cnf and 
mysqld restarting in and infinite loop. Do you have any ideas. 


Can't connect to local MySQL server through 
socket '/var/lib/mysql/mysql.sock' (111)

Comment 1 Trond Eivind Glomsrxd 2000-12-18 05:22:48 UTC
What's the permissions on /var/lib/mysql?

Comment 2 Trond Eivind Glomsrxd 2001-01-08 20:02:56 UTC
ping?

Comment 3 Need Real Name 2001-01-08 23:50:27 UTC
Yes I ping mysql. That is how I knew it did not see the sock file. I do not 
know what the perms our any more becuase I wipe the install out but it is what 
ever perms you get from runing the rpm as root.

Comment 4 Need Real Name 2001-01-08 23:50:59 UTC
Yes I ping mysql. That is how I knew it did not see the sock file. I do not 
know what the perms our any more becuase I wipe the install out but it is what 
ever perms you get from runing the rpm as root.

Comment 5 Trond Eivind Glomsrxd 2001-01-12 19:31:22 UTC
The permissions should be fixed by the errata RPMS, but to make absolutely sure
I've now added an explicit chmod to the post script in 3.23.30-1


Note You need to log in before you can comment on or make changes to this bug.